/**
 * Created by user on 2016/9/28.
 */
//文件上传初始
inputctr.upload = function (obj, url) {
    obj.each(function () {
        if (!$(this).next("input:hidden").val()) {
            $(this).next("input:hidden").val("");
        } else {
            var imgarr = $(this).next("input:hidden").val().split(',');
        }

        var newpath = '';
        var imgs = [];
        for (var i in imgarr) {
            if (!imgarr[i]) {

            } else {
                var src = '<img src="' + imgarr[i] + '" class="file-preview-image"style="width:auto;height:160px;">'
                imgs.push(src);
            }
        }
        var oFileInput = new FileInput();
        oFileInput.Init($(this), url, imgs);

        $('.file-input button.fileinput-remove,.file-input .file-preview div.close').click(function () {
            //debugger
            newpath = "";
            //$('.btn-primary .imglist').val('');
            $(this).parents('.file-input:first').next('input:hidden').val("");
            $(this).parents('.pre_tr:first').find('.pre_td:last .file_val').text("");
        })
    });
};

//fileinput初始化
var FileInput = function () {
    var oFile = new Object();
    //初始化fileinput控件（第一次初始化）
    oFile.Init = function (ctrlName, uploadUrl, img) {
        var control = ctrlName;
        //初始化上传控件的样式
        control.fileinput({
            language: 'zh', //设置语言
            uploadUrl: uploadUrl, //上传的地址
            allowedFileExtensions: ['jpg', 'gif', 'png', 'jpeg'],//接收的文件后缀
            showUpload: false, //是否显示上传按钮
            uploadAsync: false,
            showRemove: false,  //是否显示删除按钮
            showCaption: false,//是否显示标题
            browseClass: "btn btn-primary", //按钮样式
            initialPreview: img,
            showPreview: false,//是否显示生成的图片框
            //dropZoneEnabled: false,//是否显示拖拽区域
            //minImageWidth: 50, //图片的最小宽度
            //minImageHeight: 50,//图片的最小高度
            //maxImageWidth: 1000,//图片的最大宽度
            //maxImageHeight: 1000,//图片的最大高度
            //maxFileSize: 0,//单位为kb，如果为0表示不限制文件大小
            //minFileCount: 0,
            maxFileCount: 10, //表示允许同时上传的最大文件个数
            enctype: 'multipart/form-data',
            validateInitialCount: true,
            previewFileIcon: "<i class='glyphicon glyphicon-king'></i>",
            msgFilesTooMany: "选择上传的文件数量({n}) 超过允许的最大数值{m}！"
        }).on("filebatchselected", function (event, files) {
            var $this = $(this);
            layer.confirm("您一旦确认，将无法修改！", { btn: ["确认", "取消"] }, function () {
                layer.load(2);
                $this.fileinput("upload");
            });
        }).on("filebatchuploadsuccess", function (event, data, previewId, index) {
            layer.closeAll();
            if (data.response) {
                $(event.target).parents('.nset_ctr').find('.signature-showImg img').attr("src", data.response.fileUrl);
                $(event.target).parents('.nset_ctr').find('.signature-showImg').removeClass('hide');
                $('#btn_signature').attr('class', 'btn btn-wdd hide');
                $('.btn-file').addClass('hide');
            }
        })
    };
    return oFile;
};

//$(function () {
//    //文件上传初始
//    inputctr.upload($(".txt_file"), "http://trial.crhepb.com/common/uploadfile");
//});